## xsnow 1.42

=== Makefile ===
# Makefile generated by imake - do not edit!
# $TOG: imake.c /main/104 1998/03/24 12:45:15 kaleb $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $TOG: Imake.tmpl /main/249 1997/10/13 15:28:56 kaleb $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.87 2000/12/02 19:06:57 herrb Exp $
# ----------------------------------------------------------------------

all::

.SUFFIXES: .i

# $TOG: Imake.cf /main/30 1998/04/28 13:55:25 barstow $

# $XFree86: xc/config/cf/Imake.cf,v 3.63 2000/11/06 19:24:00 dawes Exp $

# Keep cpp from replacing path elements containing 1/i586/i686

#  for compatibility with 3.3.x

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.24 2000/06/25 20:17:29 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.170 2000/12/14 16:38:45 dawes Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $TOG: linux.cf /main/47 1998/04/17 11:32:51 mgreess

# platform:  $XFree86: xc/config/cf/linux.cf,v 3.157 2000/12/14 17:00:46 dawes Exp $

# operating system:  SuSE Linux [ELF] (2.4.0)
# libc:	(6.2.0)
# binutils:	(30)

# $TOG: lnxLib.rules /main/14 1998/03/16 11:15:30 mgreess $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.38 2000/06/15 20:49:56 dawes Exp $

# $XFree86: xc/config/cf/xfree86.cf,v 3.338 2000/12/14 16:59:06 dawes Exp $

# $TOG: xfree86.cf /main/38 1997/10/22 13:01:59 kaleb $

AFB_DEFS = -DUSE_AFB

DRIVERSDKDIR = $(USRLIBDIR)/Server
DRIVERSDKMODULEDIR = $(USRLIBDIR)/Server/modules
DRIVERSDKINCLUDEDIR = $(USRLIBDIR)/Server/include

       XF86SRC = $(SERVERSRC)/hw/xfree86
    XF86COMSRC = $(XF86SRC)/common
 XF86PARSERSRC = $(XF86SRC)/parser
     XF86OSSRC = $(XF86SRC)/os-support
 XF86DRIVERSRC = $(XF86SRC)/drivers
     DRIVERSRC = $(XF86DRIVERSRC)

        XFREE86DOCDIR = $(DOCDIR)
      XFREE86PSDOCDIR = $(DOCPSDIR)
    XFREE86HTMLDOCDIR = $(DOCHTMLDIR)
XFREE86JAPANESEDOCDIR = $(DOCDIR)/Japanese

# $XConsortium: xf86.rules /main/9 1996/10/31 14:54:26 kaleb $
# $XFree86: xc/config/cf/xf86.rules,v 3.32 2000/10/30 23:02:06 tsi Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.24 2000/06/25 20:17:29 dawes Exp $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $TOG: Imake.rules /main/227 1998/02/02 12:07:57 kaleb $
#
#
#
#
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.86 2000/12/12 17:05:30 dawes Exp $

 _NULLCMD_ = @ echo -n

GLIDE2INCDIR = /usr/include/glide

GLIDE3INCDIR = /usr/include/glide3

GLIDE3LIBNAME = glide3

TKLIBNAME =

TKLIBDIR =

TCLLIBNAME =

TCLIBDIR =

          PATHSEP = /
            SHELL = /bin/sh -e

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
          REVPATH = revpath
    EXPORTLISTGEN =
             RMAN = rman
      RMANOPTIONS = -f HTML
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
           VARDIR = /var
        VARLIBDIR = $(VARDIR)/lib
  SYSTEMUSRLIBDIR = /usr/lib
  SYSTEMUSRINCDIR = /usr/include
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5
       MISCMANDIR = $(MANSOURCEPATH)$(MISCMANSUFFIX)
     DRIVERMANDIR = $(MANSOURCEPATH)$(DRIVERMANSUFFIX)
     LOGDIRECTORY = $(VARDIR)/log

        VARRUNDIR = $(VARDIR)/run

         VARDBDIR = /var/lib

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cc

              CXX = c++
          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = -O2
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE    $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES) $(DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip
              CPP = /lib/cpp $(STD_CPP_DEFINES)
           RAWCPP = /lib/cpp -undef $(STD_CPP_OPTIONS)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
               M4 = m4
          M4FLAGS =
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
             PERL = perl
         PERLOPTS =
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
    MISCMANSUFFIX = 7
  DRIVERMANSUFFIX = 4
          MANDEFS = -D__filemansuffix__=$(FILEMANSUFFIX) -D__miscmansuffix__=$(MISCMANSUFFIX) -D__drivermansuffix__=$(DRIVERMANSUFFIX) -D__projectroot__=$(PROJECTROOT)

            TROFF = groff -Tps
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col
         COLFLAGS = -b
            MODCC = gcc
           MODCPP = /lib/cpp
        MODCFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREAD_CFLAGS) $(ALLDEFINES)
            MODAS = as
       MODASFLAGS =
            MODLD = ld
       MODLDFLAGS =
MODLDCOMBINEFLAGS = -r
            MODAR = ar clq
        MODRANLIB =

     STD_INCLUDES =
  STD_CPP_OPTIONS = -traditional
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE    $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE    $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr/X11R6

      CDEBUGFLAGS = -O2
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(MODULE_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(MODULE_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

# Not sure this belongs here
         TKLIBDIR =
         TKINCDIR =
        TKLIBNAME =
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR =
        TCLINCDIR =
       TCLLIBNAME =
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# $TOG: X11.rules /main/4 1997/04/30 15:23:24 kaleb $

# $XFree86: xc/config/cf/X11.rules,v 1.5 2000/11/06 19:24:00 dawes Exp $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $TOG: X11.tmpl /main/308 1998/06/16 15:14:24 msr $
#
#
#
#
# $XFree86: xc/config/cf/X11.tmpl,v 1.93 2000/12/15 18:18:04 keithp Exp $

STICKY_DEFINES = -DHAS_STICKY_DIR_BIT

FCHOWN_DEFINES = -DHAS_FCHOWN

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

             XTOP = $(TOP)
           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)/exports
      BUILDINCDIR = $(BUILDINCROOT)/include
      BUILDINCTOP = ../..
      BUILDLIBDIR = $(TOP)/exports/lib
      BUILDLIBTOP = ../..
      BUILDBINDIR = $(TOP)/exports/bin
      BUILDBINTOP = ../..
   BUILDMODULEDIR = $(BUILDLIBDIR)/modules
   BUILDMODULETOP = $(BUILDLIBTOP)/..
    XBUILDINCROOT = $(XTOP)/exports
     XBUILDINCDIR = $(XBUILDINCROOT)/include/X11
     XBUILDINCTOP = ../../..
     XBUILDBINDIR = $(XBUILDINCROOT)/bin
           INCDIR = $(INCROOT)
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
       LIBEXECDIR = /usr/X11R6/libexec
        MODULEDIR = $(USRLIBDIR)/modules
   TOP_X_INCLUDES =

        ETCX11DIR = /etc/X11

          CONFDIR = $(ETCX11DIR)

           DOCDIR = $(LIBDIR)/doc
       DOCHTMLDIR = $(DOCDIR)/html
         DOCPSDIR = $(DOCDIR)/PostScript
          FONTDIR = $(LIBDIR)/fonts
     ENCODINGSDIR = $(FONTDIR)/encodings
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = /etc/X11/xdm
        XDMVARDIR = $(VARLIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      LBXPROXYDIR = $(LIBDIR)/lbxproxy
  PROXYMANAGERDIR = $(LIBDIR)/proxymngr
        XPRINTDIR = $(LIBDIR)/xserver
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = $(BINDIR)/rgb
            FONTC = $(BINDIR)/bdftopcf
        MKFONTDIR = $(BINDIR)/mkfontdir
      MKHTMLINDEX = $(BINDIR)/mkhtmlindex
          UCS2ANY = $(BINDIR)/ucs2any.pl
      BDFTRUNCATE = $(BINDIR)/bdftruncate.pl
     UCSMAPPREFIX = $(FONTDIR)/util/map-

     HTMLINDEXCMD = HtmlIndexCmd

       DOCUTILSRC = $(XTOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(XTOP)/lib
          FONTSRC = $(XTOP)/fonts
     ENCODINGSSRC = $(FONTSRC)/encodings
       INCLUDESRC = $(BUILDINCROOT)/include
      XINCLUDESRC = $(INCLUDESRC)/X11
        SERVERSRC = $(XTOP)/programs/Xserver
       CONTRIBSRC = $(XTOP)/../contrib
   UNSUPPORTEDSRC = $(XTOP)/unsupported

=== debian/changelog ===
xsnow (1:1.42-9build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:53:05 +0000

xsnow (1:1.42-9) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Fixed lintian warnings:
    - debian-rules-missing-recommended-target build-arch
    - debian-rules-missing-recommended-target build-indep
    - dh-clean-k-is-deprecated
    - hyphen-used-as-minus-sign
  * Fix react to resolution change (Closes: #568687)
  * debian/control:
    + Added XS-Autobuild: yes
    + Bump Standards-Version to 3.9.3
    + Uncapitalize the short description

 -- Martin Lazar <mlazar@email.cz>  Mon, 05 Mar 2012 01:57:31 +0100

xsnow (1:1.42-8) unstable; urgency=low

  * Adopting package (Closes: #476129)
  * debian/control
    - set myself as maintainer
    - bump Standards-Version to 3.8.0
  * debian/copyright
    - set myself as maintainer
  * fix lintian warning patch-system-but-direct-changes-in-diff
    - add file debian/patches/02_manpage.dpatch
    - add file debian/patches/03_Imakefile.dpatch
  * debian/patches/vroot.h => debian/patches/04_vroot.dpatch
    - convert direct copy of the file to dpatch
  * debian/rules
    - clean target: remove Makefile - it is automaticaly generated
    - use dpatch.make (simplify the rules file)

 -- Martin Lazar <mlazar@email.cz>  Tue, 28 Oct 2008 20:57:49 +0100

xsnow (1:1.42-7) unstable; urgency=low

  * QA upload.
    + Set maintainer to QA group.
  * Replace xutils with xutils-dev in Build-Depends.
  * Explain in debian/copyright that and why this package is
    in non-free.
  * Add lintian override for menu-command-not-in-package
    and for hyphen-used-as-minus-sign.  Use dh_lintian
    to install it.
  * Bump debhelper compat level to 7.
  * Fix handling of CFLAGS and remove unused -lm.

 -- Frank Lichtenheld <djpig@debian.org>  Wed, 06 Aug 2008 15:51:01 -0300

xsnow (1:1.42-6) unstable; urgency=low

  * Add {misc:Depends}
  * Patch broken -nokeepsnowonwindows and -nokeepsnow options
  * Improve menu
  * Change subsection to x11/games

 -- Cai Qian <caiqian@debian.org>  Sat, 29 Dec 2005 22:33:08 +0000
	

xsnow (1:1.42-5xmas) unstable; urgency=low

  * Xmas version.
  * Adjust debian/rules to make package cleaner and simpler.

 -- Cai Qian <caiqian@debian.org>  Sat, 24 Dec 2005 13:55:08 +0000

xsnow (1:1.42-4) unstable; urgency=low

  * Fix typos in README.Debian and debian/control.
  * Rewrite debian/rules to use debhelper (>= 5).
  * Remove hard coding postrm, prerm and postinst scripts.

 -- Cai Qian <caiqian@debian.org>  Thu, 22 Dec 2005 17:37:08 +0000
	

xsnow (1:1.42-3) unstable; urgency=low

  * Wrote README.Debian including some FAQs related to xsnow on KDE.

 -- Cai Qian <caiqian@debian.org>  Thu, 08 Dec 2005 18:01:00 +0000

xsnow (1:1.42-2) unstable; urgency=low

  * Used vroot.h from xscreensaver 4.23.

 -- Cai Qian <caiqian@debian.org>  Sun, 06 Nov 2005 11:03:00 +0000
	

xsnow (1:1.42-1) unstable; urgency=low

  * New maintainer. (Closes: #329485)
  * New upstream release. (Closes: #224077, #283390)
  * Used jwz's vroot.h that uses env XSCREENSAVER_WINDOW.
  * Menu file goes to /usr/share/menu
  * xsnow.man - belongs to section 6.
  * Depended on psmisc, as menu file uses "killall".
  * debian/copyright - fixed GPLed toon_root.c issue.
  * debian/rules - fixed FSF address.
  * debian/watch - Added watch file.

 -- Cai Qian <caiqian@debian.org>  Sat, 05 Nov 2005 14:56:00 +0000

xsnow (1:1.41-2) unstable; urgency=high

  * Re-upload of 1.41 due to GPL violation in 1.42. The code to find the
    correct root window in 1.42 is taken from xpenguin and licenced under the
    GPL. Sorry KDE and GNOME users. Hopefully this is temporary. (closes: #250689)
  * Fix menu. 
  * Change Build-deps to reflect Xfree86 4.3 packaging.

 -- Randall Donald <rdonald@debian.org>  Mon, 24 May 2004 12:24:55 -0700

xsnow (1.42-4) unstable; urgency=low

  * Use jwz's vroot.h that uses env XSCREENSAVER_WINDOW (closes: #217700) 

 -- Randall Donald <rdonald@debian.org>  Tue,  4 Nov 2003 18:42:14 -0800

xsnow (1.42-3) unstable; urgency=low

  * New maintainer. (closes #130848)

 -- Randall Donald <rdonald@debian.org>  Fri, 25 Jan 2002 18:52:16 -0800

xsnow (1.42-2) unstable; urgency=low

  * Orphaned this package.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 25 Jan 2002 14:00:24 +0100

xsnow (1.42-1) unstable; urgency=high

  * New upstream release.
    - xsnow does now work better with transparent windows.
      (closes: #51180)

 -- Adrian Bunk <bunk@fs.tum.de>  Wed,  9 Jan 2002 08:59:54 +0100

xsnow (1.41-1) unstable; urgency=low

  * New maintainer.
  * New upstream release. This release fixes the following bugs:
    - The "-nokeepsnowonscreen" option is now working. (closes: #6896)
    - xsnow clears snow pileup but doesn't reset "streaking" level
      (closes: #13269)
  * Added "-isp" to dpkg-gencontrol in debian/rules.
  * /usr/doc -> /usr/share/doc (closes: #91731)
  * /usr/X11R6/man -> /usr/share/man
  * /usr/X11R6/bin -> /usr/bin
  * Added build dependencies.
  * Standards-Version: 3.1.1

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 14 Apr 2001 20:15:43 +0200

xsnow (1.40-6) unstable; urgency=low

  * Improved description, "stolen" from Anselm Lingnau

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed,  9 Dec 1998 23:39:10 +0100

xsnow (1.40-5) frozen unstable; urgency=low

  * Added Section: non-free/x11 (closes: Bug#14946, Bug#15347)
  * New authors address in copyright file

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 25 Mar 1998 01:16:18 +0100

xsnow (1.40-4) frozen unstable; urgency=low

  * New maintainer
  * Pristine source
  * Converted to my own packaging rules

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 24 Mar 1998 01:06:20 +0100

xsnow (1.40-3) unstable; urgency=low

  * Non-maintainer release to fix broken man page permissions.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 10 Sep 1997 18:59:49 -0400



=== debian/control ===
Source: xsnow
Section: non-free/games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin Lazar <mlazar@email.cz>
Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, libxpm-dev, libxt-dev, xutils-dev
Standards-Version: 3.9.3
XS-Autobuild: yes

Package: xsnow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, procps
Description: brings Christmas to your desktop
 Xsnow is a X Window application that will snow on the desktop background.
 Santa and his reindeer will complete your festive-season feeling.

=== debian/watch ===
version=3
http://dropmix.xs4all.nl/rick/Xsnow/xsnow-(.*)\.tar\.gz

## xsnow 2.0.8

=== debian/changelog ===
xsnow (1:2.0.8-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 Jul 2019 17:25:31 -0700

xsnow (1:2.0.8-1) unstable; urgency=low

  * New upstream release
  * Changed Standards-Version: 3.9.8
  * Bump debhelper compat level to 9.

 -- Willem Vermin <wvermin@gmail.com>  Tue, 16 Jul 2019 13:13:06 +0200

=== debian/control ===
Source: xsnow
Section: games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Willem Vermin <wvermin@gmail.com>
Build-Depends: debhelper (>= 10),
               libgtk-3-dev,
               libx11-dev,
               libxml2-dev,
               libxpm-dev,
               libxt-dev,
               pkg-config
Standards-Version: 4.3.0

Package: xsnow
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: brings Christmas to your desktop
 Xsnow is a X Window application that will snow on the desktop background.
 Santa and his reindeer will complete your festive-season feeling.
 Xsnow runs in GNOME, KDE, FVWM, XFCE, MATE,
 and desktops that are derived from those.

=== debian/watch ===
version=3
https://www.ratrabbit.nl/ratrabbit/system/files/xsnow/xsnow-(.*)\.tar\.gz

## xsnow 2.0.9

=== debian/changelog ===
xsnow (1:2.0.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change rebuild to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Sep 2019 15:30:27 -0400

xsnow (1:2.0.9-1) unstable; urgency=low

  * New upstream release
  * New maintainer (Closes: #931349)
  * Changed Standards-Version: 4.4.0
  * Rewrote packaging
  * Changed non-free -> main
  * Bump debhelper compat level to 12.

 -- Willem Vermin <wvermin@gmail.com>  Fri, 19 Jul 2019 14:59:21 +0200

=== debian/tests/control ===
Tests:
	test1.sh
	test2.sh

=== debian/watch ===
version=4

http://sf.net/xsnow/ xsnow-(.*)\.tar\.gz debian uupdate

## xsnow 2.0.19

=== debian/changelog ===
xsnow (1:2.0.19-1) unstable; urgency=low

  * New upstream release
  * Changed Standards-Version: 4.5.0

 -- Willem Vermin <wvermin@gmail.com>  Thu, 26 Mar 2020 12:20:18 +0100

=== debian/control ===
Source: xsnow
Section: games
Priority: optional
Maintainer: Willem Vermin <wvermin@gmail.com>
Build-Depends: debhelper (>= 11), libx11-dev, libxpm-dev, libxt-dev, pkg-config, libxml2-dev,libgtk-3-dev, debhelper-compat (=12)
Standards-Version: 4.5.0
Homepage: https://sourceforge.net/projects/xsnow/

Package: xsnow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: brings Christmas to your desktop
 Xsnow is a X Window application that will snow on the desktop background.
 Santa and his reindeer will complete your festive-season feeling.
 Xsnow runs in GNOME, KDE, FVWM and desktops that are derived from those.

=== debian/tests/control ===
Tests:
	test1.sh

## xsnow 3.1.1

=== debian/changelog ===
xsnow (1:3.1.1-1) unstable; urgency=low

  * New upstream release
  * Marked test in debian/tests as superficial
  * Removed -Wl,--as-needed from DEB_LDFLAGS_MAINT_APPEND in debian/rules
  * Added Homepage to debian/control
  * Added Rules-Requires-Root to debian/control
  * Added DEB_RULES_REQUIRES_ROOT to debian/rules

 -- Willem Vermin <wvermin@gmail.com>  Tue, 13 Oct 2020 14:50:57 +0200

xsnow (1:3.0.7-1) unstable; urgency=low

  * New upstream release
  * Bump debhelper compat level to 13.

 -- Willem Vermin <wvermin@gmail.com>  Sun, 30 Aug 2020 17:18:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: xsnow
+Maintainer: Willem Vermin <wvermin@gmail.com>
 Section: games
 Priority: optional
-Maintainer: Willem Vermin <wvermin@gmail.com>
-Build-Depends: debhelper (>= 11), libx11-dev, libxpm-dev, libxt-dev, pkg-config, libxml2-dev,libgtk-3-dev, debhelper-compat (=12)
+Build-Depends: debhelper (>= 13), libx11-dev, libxpm-dev, libxt-dev, pkg-config, libxml2-dev,libgtk-3-dev, debhelper-compat (=13)
 Standards-Version: 4.5.0
-Homepage: https://sourceforge.net/projects/xsnow/
+Homepage: https://www.ratrabbit.nl/ratrabbit/content/sw/xsnow/introduction
+Vcs-Browser: https://sourceforge.net/p/xsnow/code/HEAD/tree
+Rules-Requires-Root: no
 
 Package: xsnow
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_RULES_REQUIRES_ROOT = no

%:
	dh $@

## xsnow 3.3.2

=== debian/changelog ===
xsnow (1:3.3.2-1) unstable; urgency=low

  * New upstream release
  * Changed Standards Version to 4.6.0.1
  * Added Bug-Submit in upstream/metadata

 -- Willem Vermin <wvermin@gmail.com>  Thu, 04 Nov 2021 15:47:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,9 @@
 Source: xsnow
-Maintainer: Willem Vermin <wvermin@gmail.com>
 Section: games
 Priority: optional
+Maintainer: Willem Vermin <wvermin@gmail.com>
 Build-Depends: debhelper (>= 13), libx11-dev, libxpm-dev, libxt-dev, pkg-config, libxml2-dev,libgtk-3-dev, debhelper-compat (=13)
-Standards-Version: 4.5.0
-Homepage: https://www.ratrabbit.nl/ratrabbit/content/sw/xsnow/introduction
-Vcs-Browser: https://sourceforge.net/p/xsnow/code/HEAD/tree
-Rules-Requires-Root: no
+Standards-Version: 4.6.0.1
 
 Package: xsnow
 Architecture: any

## xsnow 3.5.3

=== debian/changelog ===
xsnow (1:3.5.3-1) unstable; urgency=low

  * New upstream release
  * Changed Standards Version to 4.6.1.0

 -- Willem Vermin <wvermin@gmail.com>  Sat, 01 Oct 2022 14:12:19 +0000

## xsnow 3.6.0

=== debian/changelog ===
xsnow (1:3.6.0-1) unstable; urgency=low

  * New upstream release

 -- Willem Vermin <wvermin@gmail.com>  Mon, 05 Dec 2022 12:58:48 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: games
 Priority: optional
 Maintainer: Willem Vermin <wvermin@gmail.com>
-Build-Depends: debhelper (>= 13), libx11-dev, libxpm-dev, libxt-dev, pkg-config, libxml2-dev,libgtk-3-dev, debhelper-compat (=13)
-Standards-Version: 4.6.0.1
+Build-Depends: debhelper (>= 13), libx11-dev, libxpm-dev, libxt-dev, pkg-config, libgtk-3-dev, libgsl-dev, debhelper-compat (=13)
+Standards-Version: 4.6.1.0
+Homepage: https://sourceforge.net/projects/xsnow/
 
 Package: xsnow
 Architecture: any

=== debian/tests/control ===
Tests: test1.sh
Restrictions: superficial

## xsnow 3.7.6

=== debian/changelog ===
xsnow (1:3.7.6-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Dec 2023 07:41:05 -0800

xsnow (1:3.7.6-1) unstable; urgency=low

  * New upstream release
  * Changed Standards Version to 4.6.2

 -- Willem Vermin <wvermin@gmail.com>  Fri, 17 Nov 2023 12:44:10 +0000

=== debian/control ===
Source: xsnow
Section: games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Willem Vermin <wvermin@gmail.com>
Build-Depends: debhelper-compat (=12),
               libgsl-dev,
               libgtk-3-dev,
               libx11-dev,
               libxpm-dev,
               libxt-dev,
               pkg-config
Standards-Version: 4.6.2
Homepage: https://sourceforge.net/projects/xsnow/

Package: xsnow
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: brings Christmas to your desktop
 Xsnow is a X Window application that will snow on the desktop background.
 Santa and his reindeer will complete your festive-season feeling.
 Xsnow runs in GNOME, KDE, FVWM and desktops that are derived from those.

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,7 @@
 
 %:
 	dh $@
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## xsnow 3.7.8

=== debian/changelog ===
xsnow (1:3.7.8-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:40:25 +1100

xsnow (1:3.7.8-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:18:19 +0000

xsnow (1:3.7.8-1) unstable; urgency=low

  * New upstream release

 -- Willem Vermin <wvermin@gmail.com>  Wed, 14 Feb 2024 11:11:46 +0000

=== debian/control ===
Source: xsnow
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Willem Vermin <wvermin@gmail.com>
Build-Depends: debhelper (>= 13), libx11-dev, libxpm-dev, libxt-dev, pkgconf, libgtk-3-dev, libgsl-dev, debhelper-compat (=13)
Standards-Version: 4.6.2
Homepage: https://sourceforge.net/projects/xsnow/

Package: xsnow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: brings Christmas to your desktop
 Xsnow is a X Window application that will snow on the desktop background.
 Santa and his reindeer will complete your festive-season feeling.
 Xsnow runs in GNOME, KDE, FVWM and desktops that are derived from those.

## xsnow 3.8.3

=== debian/changelog ===
xsnow (1:3.8.3-1) unstable; urgency=low

  * New upstream release
  * Changed Standards Version to 4.7.0
  * Added 'Rules-Requires-Root: no'
  * Change dependency pkg-config to pkgconf
  * Added tests/test2.sh
  * Remove from tests/control: "Restrictions: superficial"
  * Changed copyright to reflect proper licenses

 -- Willem Vermin <wvermin@gmail.com>  Mon, 23 Dec 2024 12:15:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: xsnow
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Willem Vermin <wvermin@gmail.com>
-Build-Depends: debhelper (>= 13), libx11-dev, libxpm-dev, libxt-dev, pkgconf, libgtk-3-dev, libgsl-dev, debhelper-compat (=13)
-Standards-Version: 4.6.2
+Maintainer: Willem Vermin <wvermin@gmail.com>
+Build-Depends: debhelper (>= 13), libx11-dev, libxpm-dev, libxt-dev, pkgconf, libgtk-3-dev, libgsl-dev, xvfb, xdotool, psmisc, scrot, x11-utils, debhelper-compat (=13)
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://sourceforge.net/projects/xsnow/
 
 Package: xsnow

=== debian/tests/control ===
Tests:
     test1.sh
     test2.sh
Depends: @, x11-utils, xvfb, xdotool, scrot, psmisc

## xsnow 3.8.6

=== debian/changelog ===
xsnow (1:3.8.6-1) unstable; urgency=low

  * New upstream release
  * Remove 'Donation' from upstream/metadata
  * Changed Standards Version to 4.7.2
  * Changed tests/test2.sh to accommodate slower systems
  * Added psmisc to tests/control -> Depends
  * Added psmisc to control -> Build-Depends
  * Removed patches/
  * Changes to copyright:
  *       removed 'Files: debian/tests/*'
  *       added '1984-2001 Rick Jansen' to 'Files/*'
  *       changed GPL to GPL-3 for 'debian/changelog'

 -- Willem Vermin <wvermin@gmail.com>  Sun, 16 Nov 2025 11:27:45 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Willem Vermin <wvermin@gmail.com>
-Build-Depends: debhelper (>= 13), libx11-dev, libxpm-dev, libxt-dev, pkgconf, libgtk-3-dev, libgsl-dev, xvfb, xdotool, psmisc, scrot, x11-utils, debhelper-compat (=13)
-Standards-Version: 4.7.0
+Build-Depends: debhelper (>= 13), libx11-dev, libxpm-dev, libxt-dev, pkgconf, libgtk-3-dev, libgsl-dev, xvfb, xauth, xdotool, scrot, psmisc, debhelper-compat (=13)
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://sourceforge.net/projects/xsnow/

=== debian/tests/control ===
Tests:
     test1.sh
     test2.sh
Depends: @, xvfb, xauth, xdotool, scrot, psmisc
